export const writeMinimumPassableTests = `
<h1>WRITE MINIMUM PASSABLE TESTS</h1>
<p style="width: 70%;">
If appropriate, use Jasmine's built-in matchers (such as toContain,
jasmine.any, jasmine.stringMatching, ...etc) to compare arguments and
results. You can also create your own matcher via the asymmetricMatch
function.
</p>

<h3>Why?</h3>
<ul>
    <li>Tests become more resilient to future changes in the codebase</li>
    <li>Closer to testing behavior over implementation</li>
</ul>

<div style="background-color:#444; color:#fff; padding: 16px; position: relative; width: 50%; ">
    <pre>
// Yep
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      beforeEach(function() {{'{'}}
        this.initialArray = [];

        this.initialArray.push(1);
      {{'}'}});

      it('appends x to the Array', function() {{'{'}}
        expect(this.initialArray).toContain(1);
      {{'}'}});
    {{'}'}});
  {{'}'}});

// Nope
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      beforeEach(function() {{'{'}}
        this.initialArray = [];

        this.initialArray.push(1);
      {{'}'}});

      it('appends x to the Array', function() {{'{'}}
        expect(this.initialArray).toEqual([1]);
      {{'}'}});
    {{'}'}});
  {{'}'}});
    </pre>
</div>
`;
